CPA_SAMPLE_CODE(7)

NAME
cpa_sample_code - showcase of Intel QuickAssist device functionality and performance

SYNOPSIS
cpa_sample_code [ signOfLife=1 | getOffloadCost=1 | getLatency=1 ] [ runTests=mask ]

DESCRIPTION
This example tool showcases the functionality and performance of Intel QuickAssist devices.

OPTIONS

mask for runTests:
runTests=1 | Run symmetric crypto tests.
runTests=2 | Run RSA test.
runTests=4 | Run DSA test.
runTests=8 | Run ECDSA test.
runTests=16 | Run DH test
runTests=32 | Run Stateless Compression test.
runTests=63 | Run all above tests. (default)
runTests=1024 | Run SM2 test.
runTests=2048 | Run SM3&4 test.

EXAMPLES

run the full suite of symmetric cryptography, asymmetric cryptography and data compression operations:

    cpa_sample_code

run a small number of each operation type:

    cpa_sample_code signOfLife=1

run only RSA operations:

    cpa_sample_code runTests=2

FURTHER INFORMATION
https://intel.github.io/quickassist/qatlib/sample_code.html
https://github.com/intel/qatlib/blob/main/quickassist/lookaside/access_layer/src/sample_code/README.txt